Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.security.acl
Class BasePermission

    java.lang.Object
      de.jsystems.framework.security.acl.BasePermission

All Implemented Interfaces:
  Permission

Direct Known Subclasses:
  AllPermissions

public class BasePermission
extends Object
implements Permission

Beispielimplementierung für das Interface Permission. Eine Instanz dieser Klasse repraesentiert ein Recht, das vergeben oder entzogen werden kann. Zum Beispiel der Zugriff auf ein bestimmtes Verzeichnis oder eine Menuestruktur, oder...

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`BasePermission(String s)` Legt eine Permission mit dem übergebenen Namen an.

Method Summary
`boolean` | `equals(Object obj)` Pruft das uebergebene Objekt auf Gleichheit mit diesem Objekt.
`String` | `getName()` Gibt den Namen dieser Permission zurück.
`int` | `hashCode()` Gibt den Hashcode der Permission zurueck.
`String` | `toString()` Gibt eine Stringrepraesentation der Permission zurueck.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasePermission

    public BasePermission(String s)

  Legt eine Permission mit dem übergebenen Namen an.

Parameters:
  `s` - Der Name fuer die Persmission.

Method Detail

### equals

    public boolean equals(Object obj)

  Pruft das uebergebene Objekt auf Gleichheit mit diesem Objekt. Die beiden Objekte sind dann gleich, wenn sie beide den gleichen Namen haben.

  Specified by:
    `equals` in interface `Permission`
  Parameters:
    `obj` - Das Objekt, das auf Gleichheit mit diesem geprueft werden soll.
  Returns:
    `true`, wenn das uebergebene Objekt vom Typ `BasePermission` ist und beide den gleichen Namen haben.

### getName

    public String getName()

  Gibt den Namen dieser Permission zurück.

  Returns:
    Der Name der Permission.

### toString

    public String toString()

  Gibt eine Stringrepraesentation der Permission zurueck. Dabei handelt es sich um den Namen der Permission.

  Specified by:
    `toString` in interface `Permission`
  Returns:
    Eine stringrepraesentation der Permission.

### hashCode

    public int hashCode()

  Gibt den Hashcode der Permission zurueck. Dabei handelt es sich um den Hashcode des String fuer den Namen der Permission.

  Returns:
    Der Hashcode der Permission.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD